# Generated by Django 2.2.10 on 2021-07-12 07:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Entities',
            fields=[
                ('entity_name', models.CharField(max_length=255, primary_key=True, serialize=False)),
                ('cat_level', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Scans',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('upload_date', models.DateTimeField(auto_now_add=True)),
                ('scan_date', models.DateTimeField()),
                ('host_name', models.CharField(max_length=255)),
                ('drive_name', models.CharField(max_length=255)),
                ('number_of_yara_scanned', models.IntegerField()),
                ('is_admin', models.IntegerField()),
                ('is_completed', models.IntegerField()),
                ('number_of_alerts', models.IntegerField()),
                ('number_of_warning', models.IntegerField()),
                ('number_of_notices', models.IntegerField()),
                ('file_base64', models.TextField()),
                ('added_by', models.CharField(default='N/A', max_length=255)),
                ('processed_by', models.CharField(default='Not_processed_yet', max_length=255)),
                ('entity_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yara_parser.Entities')),
            ],
        ),
        migrations.CreateModel(
            name='Triggers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('trigger_type', models.CharField(choices=[('Warning', 'Warning'), ('Alert', 'Alert'), ('info', 'info')], max_length=255)),
                ('modelue_type', models.CharField(max_length=255)),
                ('file_name', models.CharField(max_length=255)),
                ('score', models.IntegerField()),
                ('md5', models.TextField()),
                ('sha1', models.TextField()),
                ('sha256', models.TextField()),
                ('incident_status', models.CharField(choices=[('Pending', 'Pending'), ('Confirmed_incident', 'Confirmed_incident'), ('False_Positive', 'notice')], default='Pending', max_length=255)),
                ('related_scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yara_parser.Scans')),
            ],
        ),
        migrations.CreateModel(
            name='Reasons',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sub_score', models.IntegerField()),
                ('reason', models.TextField()),
                ('descreption', models.TextField()),
                ('string_1', models.TextField(null=True)),
                ('string_2', models.TextField(null=True)),
                ('string_3', models.TextField(null=True)),
                ('realted_trigger', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yara_parser.Triggers')),
            ],
        ),
        migrations.CreateModel(
            name='Process_info',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('process_inf_type', models.CharField(choices=[('Warning', 'Warning'), ('Alert', 'Alert'), ('info', 'info')], max_length=255)),
                ('process_name', models.CharField(max_length=255)),
                ('process_path', models.TextField()),
                ('cmd', models.TextField()),
                ('owner', models.TextField()),
                ('incident_status', models.CharField(choices=[('Pending', 'Pending'), ('Confirmed_incident', 'Confirmed_incident'), ('False_Positive', 'notice')], default='Pending', max_length=255)),
                ('related_scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yara_parser.Scans')),
            ],
        ),
    ]
